Subject: Re: bug#51155: 29.0.50; Incorrect weight used in Cantarell VF

From: Utkarsh Singh <[email-masked]>
Date: Wed, 02 Feb 2022 14:00:55 +0530

Hello maintainers,

On 2021-10-14, 08:13 +0530, Utkarsh Singh <[email-masked]> wrote:

> On 2021-10-13, 22:29 +0200, Lars Ingebrigtsen <[email-masked]> wrote:
>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>>> Weight table:
>>>> 
>>>> | Face       | Weight |
>>>> |------------+--------|
>>>> | Extra bold |    205 |
>>>> | Bold       |    200 |
>>>> | Regular    |     80 |
>>>> | Light      |     50 |
>>>
>>> I think that's the problem: Emacs thinks that Regular should have the
>>> weight of 100, see font.c.
>>
>> So this is basically bug#32210 again, I think?
>>
>> When we last discussed this (a couple years ago), I said I'd try to look
>> into this complex issue, so perhaps now's the time.  I'll start poking
>> at this morass tomorrow, I think.
>
> For testing, I changed Regular to weight of 80 but Emacs is still
> loading the Light variant.

Please close this bug report, Cantarell VF is working fine now.

-- 
Utkarsh Singh
https://utkarshsingh.xyz/